@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'SpaceGrotesk';
  font-style: normal;
  font-weight: 300;
  src: url('../fonts/SpaceGrotesk-Light.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'SpaceGrotesk';
  font-style: normal;
  font-weight: 500;
  src: url('../fonts/SpaceGrotesk-Medium.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'SpaceGrotesk';
  font-style: normal;
  font-weight: 200;
  src: url('../fonts/SpaceGrotesk-Light.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

/* Core Stuff */
* {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}

:root {
	--header-size: 3em;
}

html {
	width: 100%;
	scroll-behavior: smooth;
	font-size: 16px;
	overflow-x: hidden;
/*
	scroll-snap-type: y mandatory;
	overflow-behovior-y: none;
*/
}

body {
	width: 100%;
	margin: 0;
	font-size: 18px;
	line-height: 28px;
	color: #606d6e;
	color: #616060;
	background-color: #008ac9;
	background-color: #014978;

	font-family:'SpaceGrotesk',-apple-system,system-ui,BlinkMacSystemFont,'Segoe UI',Roboto,'Helvetica Neue',sans-serif;
	font-weight: 300;

	font-size: clamp(1rem, 2vw, 1.5rem);
	line-height: 1.5em;

}

body:has(.mobile-menu-open) {
	overflow-y: hidden;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    color: #616060;
}

h1 {
	font-weight: 500;
	font-size: 50px;
	line-height: 66px;
	margin: 0 0 0.5em 0;

	font-size: 3.1rem;
	font-size: clamp(4rem, 7vw, 7.5rem);
	line-height: 1em;
}

h2 {
	font-weight: 600;
	font-size: 48px;
	line-height: 60px;

	font-size: 3rem;
	font-size: clamp(1.5rem, 3vw, 3rem);
	line-height: 1.2em;

	margin-top: 0;
}

h3 {
	font-weight: 700;
}

a {
    color: #1F8CD6;
    text-decoration: none;
}

a:hover {
    color: #175E91;
}

pre {
    background: #F0F0F0;
    margin: 1rem 0;
    border-radius: 2px;
}

blockquote {
    border-left: 10px solid #eee;
    margin: 0;
    padding: 0 2rem;
}

figure {
	margin: 0;
	width: 100%;
	height: 100%;
}

img {
	border: 0;
	margin: 0;
	width: 100%;
	height: 100%;
	object-fit: contain;
	display: block;
}

/* Utility Classes */
.wrapper {
    margin: 0 1em;
}

.padding {
    padding: 3rem 1rem;
}

main {
	/*margin-top: var(--header-size);*/
	width: 100%;
}

main.default-page {
	padding-top: calc(var(--header-size) + 3em );
	padding-bottom: 3em;
}

.left {
    float: left;
}

.right {
    float: right
}

.text-center {
    text-align: center;
}

.text-right {
    text-align: right;
}

.text-left {
    text-align: left;
}

/* Content Styling */
.header .padding {
	padding: 1rem 0;
}

.header .wrapper {
	position: relative;
	height: 100%;
}

.header {
	position: fixed;
	width: 100%;
	height: var(--header-size);
    background-color: #1F8DD6;
    color: #eee;
    background-color: white;
    color: #008acb;
    top: 0;
    z-index: 5;
    box-shadow: 0 0 25px #000000b0;
}

.header-dummy {
	width: 100%;
	height: var(--header-size);
}

.header a {
	color: white;
}

.header .logo {
	position: absolute;
	top: 0;
	bottom: 0;
	right: 0em;
	margin: auto 0;
	display: block;
	height: 100%;
}
.header .logo a {
	height: 100%;
	display: block;
}

.header .logo img {
	width: 100%;
	height: 100%;
	object-fit: contain;
}

.header .ukl-link {
	position: fixed;
	top: 1em;
	right: 1em;
	margin: 0;
	color: white;
	background-color: #b51e63;
}


@media screen and (max-height: 380px) {
	:root {
		--header-size: 3rem;
	}
	.header .padding {
		padding: 0;
	}
}

.footer {
	width: 100%;
	position: relative;
	background-color: #008ac9;
	background-color: #014978;

	scroll-snap-align: start;
	scroll-snap-stop: always;
	scroll-margin-top: var(--header-size);
}

.footer-end {
	scroll-snap-align: end;
}


.footer-content {
	display: grid;
	grid-template-columns: repeat(3, 1fr);
	gap: 3em;
	color: white;

	scroll-snap-type: y proximity;
}

.footer-content a {
	color: white;
}

.footer-column {
	width: 100%;
	height: 100%;
	position: relative;
	overflow: hidden;
}

.footer-column hr {
	color: white;
	height: 0;
	box-sizing: content-box;
	margin-bottom: 2em;
}

.footer figure {
	margin: 0;
	width: 100%;
	height: fit-content;

	border-radius: 15px;
	overflow: hidden;
}

.footer figure img {
	width: 100%;
	height: 100%;
	object-fit: contain;
}

.footer_logo {
	position: relative;
	display: block;
	height: fit-content;
}

.footer .content-nav-footer {
	display: flex;
	gap: 1em;
	flex-direction: column;
}

.footer-menu {
	list-style: none;
	padding-left: 0;
	line-height: 2.3em;
}

.footer .people-column {
	scroll-snap-align: start;
	scroll-margin-top: var(--header-size);
}

.footer .people-column .person {
	display: grid;
	gap: 1em;
	width: 100%;
	grid-template-columns: 15% 85%;
	margin: 1rem 0;
}

.footer .people-column .person picture {
	width: 100%;
	height: fit-content;
	border-radius: 50%;
	overflow: hidden;
	margin-top: 0.2rem;
}

.footer .people-column .person picture img {
	object-fit: cover;
	aspect-ratio: 1;
	height: unset;
}

.footer .people-column .info {
  margin-top: 0;
  font-size: clamp(14px, 2vw, 16px);
  line-height: 1.4em;
}

.footer .people-column h4 {
	color: white;
	margin-top: 0.5em;
	margin-bottom: 1em;
	font-size: clamp(16px, 2vw, 18px);
	font-weight: 300;
	line-height: 1.4em;
	margin-left: calc(15% + 1.3em);
	width: 100%;
}

.footer .people-column h5 {
	color: white;
	margin: 0;
	margin-bottom: 0.1em;
	font-size: clamp(16px, 2vw, 18px);
	font-weight: 300;
	line-height: 1.4em;
}

.footer .people-column p {
	margin: 0;
}

.footer .info-column .info-block {
	color: white;
	margin-top: 0.5em;
	margin-bottom: 0.5em;
	font-size: clamp(16px, 2vw, 18px);
	font-weight: 300;
	line-height: 1.5em;
}

.footer .info-column {
	display: flex;
	flex-direction: column;
	gap: 2em;
}

.footer .nav-column ul {
	list-style: none;
	color: white;
	/*margin-top: 0.5em;*/
	margin-top: 1.5em;
	font-size: clamp(16px, 2vw, 18px);
	font-weight: 300;
	/*line-height: 3.35em;*/
	line-height: 1.5em;
}

.footer .nav-column ul li {
	margin-top: 0;
}



@media (max-width: 700px) {
	.footer-content {
		grid-template-columns: repeat(2, 1fr);
	}

	.footer-column.nav-column {
		grid-column: 1/ -1;
	}

	.footer-column.nav-column ul {
		padding-left: 0;
	}

	.footer .content-nav-footer {
		flex-direction: column-reverse;
		padding-bottom: 2em;
	}

	.footer-menu {
		display: flex;
		justify-content: space-evenly;
		flex-wrap: wrap;
		gap: 1em;
	}
}

@media (max-width: 400px) {
	.footer-content {
		grid-template-columns: repeat(1, 1fr);
	}
}

/* Menu Settings */

.main-nav {
	position: fixed;
	margin: auto auto;
	margin: 0;
	top: var(--header-size);
	bottom: 0;
	left: 0;
	right: 0;
	width: 100vw;
	height: calc(100vh - var(--header-size));
	background-color: #008ac9a3;
	padding: 1em;
	
	opacity: 0;
	visibility: hidden;
	transition: all 0.2s ease-in;
}

.header.mobile-menu-open .main-nav {
	visibility: visible;
	opacity: 1;
}

.header .main-nav .main-menu-content {
	position: relative;
	padding: 2em;
	background-color: #008ac9;
	width: 100%;
	height: 100%;
	/*max-height: calc(100svh - var(--header-size) - 4em);*/
	margin: auto auto;
	top: 0;
	bottom: 0;
	left: 0;
	right: 0;
	border-radius: 15px;
	box-shadow: 0 0 25px #000000b0;

	display: grid;
	grid-template-columns: repeat(3, 1fr);
	gap: 2em;
	overflow-y: scroll;
	scrollbar-width: none;
}

.header .main-nav .main-menu-content > ul:nth-child(1) {
	font-weight: 500;
}

.main-nav ul {
	color: white;
	list-style: none;
	margin-top: 0;
}


.main-nav > ul > li > a {
    border-radius: 2px;
}

.main-nav ul li .active {
	font-weight: 600;
}

/*Active dropdown nav item */
.main-nav ul li:hover > a {
	text-decoration: underline;
}

/* Selected Dropdown nav item */
.main-nav ul li.selected > a {
/*
    background-color: #fff;
    color: #175E91;
*/
}

/* Dropdown CSS */
.main-nav ul li {
	margin-bottom: 1.1em;
	position: relative;
}

.main-nav ul li ul {
    position: absolute;
    background-color: #1F8DD6;
    min-width: 100%;
    text-align: left;
    z-index: 999;

    display: none;
}
.main-nav ul li ul li {
    display: block;
}

/* Dropdown CSS */
.main-nav ul li ul ul {
    left: 100%;
    top: 0;
}

/* Active on Hover */
.main-nav li:hover > ul {
    display: block;
}

/* Child Indicator */
.main-nav .has-children > a {
    padding-right: 30px;
}
.main-nav .has-children > a:after {
    font-family: FontAwesome;
    content: '\f107';
    position: absolute;
    display: inline-block;
    right: 8px;
    top: 0;
}

.main-nav .has-children .has-children > a:after {
    content: '\f105';
}

.burger-menu {
	display: flex;
	position: absolute;
	left: 1em;
	z-index: 50;
	align-items: center;
	justify-content: flex-end;
	width: 25px;
	height: 25px;
	margin: auto 0;
	top: 0;
	bottom: 0;
	cursor: pointer;
}

.burger-menu span {
	height: 2px;
	width: 100%;
	background-color: #707070;
	transition: background-color 175ms, transform 175ms;
	transition-delay: 0s, 0s;
	transition-delay: 175ms;
}

.burger-menu::after,
.burger-menu::before {
	content: '';
	position: absolute;
	height: 2px;
	width: 100%;
	background-color: #707070;
	transition: all 0.1s ease 0.1s;
}
.burger-menu:before {
	top: 0;
}
.burger-menu:after {
	bottom: 0;
}

.burger-menu.active span {
	background-color: #707070;
	transform: scale(0);
	transition-delay: 0.15s;
}
.burger-menu.active::before {
	top: 50%;
	transform: rotate(-45deg) translate(0, -50%);
}
.burger-menu.active::after {
	bottom: 50%;
	transform: rotate(45deg) translate(0, 50%);
}
.burger-menu.active::after,
.burger-menu.active::before {
	background-color: #707070;
}

@media (max-width: 1000px) {
	.header .main-nav .main-menu-content {
		grid-template-columns: repeat(2, 1fr);
	}
	.header .main-nav .main-menu-content ul {
		padding-left: 0;
	}
}

@media (max-width: 700px) {
	.header .main-nav .main-menu-content {
		grid-template-columns: repeat(1, 1fr);
	}
	.header .main-nav .main-menu-content ul {
		padding-left: 0;
	}
/*
	.main-nav {
		position: fixed;
		width: 100%;
		height: 0;
		visibility: hidden;
		background-color: #008ac9;
		color: white;
		top: var(--header-size);
		left: 0;
  		padding: 3rem 4em 3em 2em;
		z-index: 6;
		opacity: 0;
		transition: all 0.3s ease-in;
	}

	.header.mobile-menu-open .main-nav {
		height: calc(100vh - var(--header-size));
		visibility: visible;
		opacity: 1;
		overflow: scroll;
		touch-action: none;
	}

	.main-nav ul {
		text-align: left;
		justify-content: space-evenly;
		align-items: baseline;
		flex-direction: column;
		height: 100%;
		z-index: 3;
		position: relative;
		width: 100%;
		gap: 0;
		padding: 2em 3em;
	}

	.main-nav ul li a {
		color: white;
	}

	.header .ukl-link {
		top: calc(var(--header-size) + 1em);
	}
*/
}


.container {
	margin: 0 auto;
	max-width: 1200px;
	padding: 0 1em;
}

.anchor {
	scroll-margin-top: var(--header-size);
}





.section {
	width: 100%;
	min-height: calc(100vh - var(--header-size));
	min-height: 100vh;
	position: relative;

	scroll-snap-align: start;
	scroll-snap-stop: always;
	/*scroll-margin-top: var(--header-size);*/
}

.section .bg {
	height: calc(100vh - var(--header-size));
	/*height: 100%;*/
	width: 100vw;
	position: sticky;
	top: var(--header-size);
	overflow: hidden;

	transition: filter 0.5s ease-in;
	will-change: filter;
}

.section .focus .bg {
	filter: blur(7px);
}

.section.hero .bg {
	position: absolute;
	top: 0;
	height: 100%;
}

.section.hero .content {
	margin: auto auto;
	width: 70%;
	position: absolute;
	height: fit-content;
	left: 0;
	right: 0;
	top: 0;
	bottom: 0;

	padding-top: calc(var(--header-size) + 1em);
	padding-bottom: 1em;
}

.section.hero h1 {
	text-align: center;
	color: white;
}

.hero-text {
	background-color: white;
	padding: 0.5em 1em;
	width: fit-content;
	margin: auto;
	box-shadow: 0 0 25px #000000b0;
	border-radius: 20px;
	color: #008ac9;
	font-size: clamp(1.2rem, 3vw, 2.25rem);
	line-height: 1.33em;
	font-weight: 500;
	text-align: center;
}


.section .bg video {
	width: 100%;
	height: 100%;
	object-fit: cover;
}

.section .bg picture {
	width: 100%;
	position: relative;
}

.section .bg img {
	object-fit: cover;
}

.content {
	width: 100%;
	position: relative;
	padding-bottom: 4em;

	z-index: 1;
}

.content-extra {
	width: 100%;
	height: fit-content;
	padding: 6em 5% 2em 5%;
	overflow: hidden;

	z-index: 1;

	scroll-snap-align: start;
	scroll-snap-stop: always;
}

.content.snap {
	margin-top: -10vh;
	scroll-snap-align: start;
	scroll-snap-stop: always;
	scroll-margin-top: calc(var(--header-size) + 2em);
	min-height: calc(100vh - var(--header-size) - 2em);
}

.link-button {
	display: block;
	width: fit-content;
	border: 1px solid #008ac9;
	border-radius: 10px;
	padding: 1rem 2rem;
	color: #008ac9;
	margin: 0em 0;
	font-weight: 400;
	transition: all 0.1s ease-in;
}

.link-button:hover {
	scale: 1.02;
}

.slides .content {
	height: calc(100vh - var(--header-size));
	scroll-snap-align: end;
	margin-top: 0 !important;
	height: calc(600vw - (100vw - 100vh + var(--header-size)));
	height: fit-content;

	padding-bottom: 0;
}

.slides .content.snap {
	scroll-margin-top: var(--header-size);
}

.slides .dummy-elem {
	width: 100%;
	height: 100vw;
	position: relative;
	visibility: hidden;
}

.freespace {
	position: relative;
	height: 20vh;

	scroll-snap-align: end;
	scroll-snap-stop: always;
}

.intro-block {
  position: relative;
  background-color: white;
  width: 45%;
  left: 5%;
  padding: 2em;
  border-radius: 35px;
  box-shadow: 0 0 25px #000000b0;
}

.slides .content .intro-block {
	scroll-snap-align: center;
	scroll-snap-stop: always;
}

.info-elements {
	position: relative;
	display: grid;
	grid-template-columns: repeat(2, 1fr);
	gap: 3em;
	width: 100%;

	z-index: 1;
}

.info-elements.grid3 {
	grid-template-columns: repeat(3, 1fr);
}

.info-elements.columns {
	display: flex;
	flex-direction: column;
}

.info-elements.columns .info-element {
	transition: all 0.5s ease-in;
	transform: translate(90%);
	opacity: 0;
	visibility: hidden;
	width: 50%;
}




.info-element {
	/*height: fit-content;*/
	height: 100%;
	position: relative;
	color: black;
	background-color: white;
	width: 100%;
	border-radius: 35px;
	box-shadow: 0 0 25px #000000b0;
	overflow: hidden;
}

.info-elements.columns .info-element.animation {
	transform: translate(0%);
	opacity: 1;
	visibility: visible;
}

.info-element picture {
	width: 100%;
	/*height: 60%;*/
	aspect-ratio: 3/1;
	position: relative;
	margin: 0;
	display: block;
}

.info-elements.grid3 .info-element picture {
	aspect-ratio: 3/2;
}

.info-element img {
	width: 100%;
	height: 100%;
	object-fit: cover;
}


.info-content {
	width: 90%;
	margin: 0 auto 1.5em auto;
}

.info-content ul {
	padding-left: 2rem;
}

.slides-container {
	position: sticky;
	top: var(--header-size);
	width: 100%;
	height: calc(100vh - var(--header-size));
	overflow: hidden;
}

.slide-elements {
	position: relative;
	width: fit-content;
	height: 100%;
	display: flex;
	translate: 0%;
	will-change: transform;
	z-index: 1;
}

.slide-element {
	position: relative;
	height: 100%;
	width: 100vw;
}

.slide-element .bg-img {
	width: 100vw;
	height: 100%;
	position: absolute;
	top: 0;
	overflow: hidden;
}
.slide-element .bg-img img {
	object-fit: cover;
}

.slide-element .slide-content {
	position: relative;
	width: 45%;
	height: 100%;
	margin: auto auto;
	top: 0;
	bottom: 0;
	left: 0;
	right: 0;
	display: flex;
	align-content: center;
	gap: 1em;
}

.slide-element .slide-content .intro-block {
	width: 100%;
	height: fit-content;
	margin: auto;
	left: 0;
}

.slide-element .info-content {
	position: relative;
	height: fit-content;
	top: 0;
	bottom: 0;
	margin: auto auto;
	background-color: white;
	padding: 2em;
	border-radius: 35px;
	box-shadow: 0 0 25px #000000b0;

	width: 100%;
	flex-shrink: 1;

	max-width: 90%;
	max-height: 90%;
	/*overflow-y: scroll;*/
	scrollbar-width: none;
}

.slide-element .slide-content .slide-button {
	position: relative;
	width: 30px;
	height: 30px;
	aspect-ratio: 1;
	top: 0;
	bottom: 0;
	margin: auto 0;
	background-color: white;
	border-radius: 50%;
	border: none;
	box-shadow: 0 0 25px #000000b0;
	cursor: pointer;
	z-index: 2;

	background-image: url('../images/arrow.svg');
	background-origin: ;
	background-position: center;
	background-size: contain;
	background-size: 60%;
	background-repeat: no-repeat;

	display: none;
}
.slide-element .slide-content .slide-button.prev {
	transform: scale(-1);
}

.slide-element .slide-content .slide-button:hover {
	scale: 1.1;
}


.slide-elements .slide-element:last-child .slide-button.next,
.slide-elements .slide-element:first-child .slide-button.prev {
	background-color: red;
	visibility: hidden;
}

.team .content-extra {
	padding-top: 4em;
	width: 70%;
}

.team .team-elements {
	background-color: white;
	border-radius: 35px;
	box-shadow: 0 0 25px #000000b0;
	/*padding: 4em;*/
	padding: 2em;
	display: grid;
	/*grid-template-columns: repeat(3, 1fr);*/
	grid-template-columns: repeat(2, 1fr);
	/*gap: 1em;*/
	gap: 2em;
}

.team .team-element {
	display: grid;
	gap: 1em;
	width: 100%;
	grid-template-columns: 15% 85%;
	margin: 1rem 0;
	margin: 0;
}

.team .noportraits .team-element {
	display: block;
}

.team .team-element picture {
	width: 100%;
	height: fit-content;
	border-radius: 50%;
	overflow: hidden;
	margin-top: 0.2rem;
}

.team .team-element picture img {
	object-fit: cover;
	aspect-ratio: 1;
	height: unset;
}

.team .team-element h3 {
	color: #616060;
	font-weight: 300;
	margin-top: 0;
	margin-bottom: 0.0em;
	font-size: clamp(1rem, 2vw, 1.5rem);
	/*font-size: clamp(0.9rem, 2vw, 1.2rem);*/
	line-height: 1.5em;
}

.team .team-element p {
	margin: 0;
	/*font-size: clamp(0.7rem, 1.5vw, 1rem);*/
	font-size: clamp(0.9rem, 1.5vw, 1.2rem);
	line-height: 1.3em;
}



@media screen and (max-width: 1200px) {

	.intro-block,
	.slide-element .slide-content .intro-block
	{
		width: 75%;
	}

	.info-elements.grid3 {
		gap: 1em;
	}

	.info-elements.columns {
		width: 100%;
	}
	.info-elements.columns .info-element {
		width: 75%;
	}
	
	.slide-element .slide-content {
		width: 80%;
		gap: 0.5em;
	}
	.slide-element .info-content {
		padding: 1em;
		width: 80%;
	}

	.team .content-extra {
		width: 85%;
	}

	.team .team-elements {
		padding: 2em;
		gap: 1em;
		grid-template-columns: repeat(2, 1fr);
	}
}

@media screen and (max-width: 700px) {

	.section.hero .content {
		width: 90%;
	}

	.intro-block {
		width: 90%;
	}
	.slide-element .slide-content .intro-block
	{
		width: 85%;
		left: 0;
	}
	.intro-block h2 {
		hyphens: auto;
	}

	.info-elements,
	.info-elements.grid3 {
		grid-template-columns: repeat(1, 1fr);
	}

	.info-elements.columns {
		width: 100%;
	}

	.info-elements.columns .info-element {
		width: 100%;
	}
	
	.slide-element .slide-content {
		width: 95%;
		gap: 0.5em;
	}
	
	.slide-element .info-content {
		padding: 1em;
		width: 80%;
	}

	.team .content-extra {
		width: 100%;
	}

	.team .team-elements {
		grid-template-columns: repeat(1, 1fr);
		padding: 1em;
	}

}
